- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions | Related Functions
ForwardMap< GR > Class Template Reference
Graph Maps

## Detailed Description

### template<typename GR>
class lemon::ForwardMap< GR >

ForwardMap provides access for the "forward" directed arc view of each edge in a graph, which is returned by the `direct()` function of the graph with `true` parameter.

Template Parameters

  GR | The graph type.

See Also
  BackwardMap

`#include <lemon/maps.h>`

## Public Types
typedef GR::Edge | Key
| The key type (the `Edge` type of the digraph).
typedef GR::Arc | Value
| The value type (the `Arc` type of the digraph).

## Public Member Functions
| ForwardMap (const GR &graph)
| Constructor. More...
Value | operator[] (const Key &key) const
| Returns the "forward" directed arc view of the given edge. More...

## Related Functions
(Note that these are not member functions.)
template<typename GR >
ForwardMap< GR > | forwardMap (const GR &graph)
| Returns a `ForwardMap` class. More...

## Constructor & Destructor Documentation

ForwardMap | ( | const GR & | graph | ) |
| inline explicit

Constructor.

Parameters

  graph | The graph that the map belongs to.

## Member Function Documentation

Value operator[] | ( | const Key & | key | ) | const
| inline

Returns the "forward" directed arc view of the given edge.